<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.dass-it.de/VanHelsing/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="VanHelsing" targetNamespace="http://www.dass-it.de/VanHelsing/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://www.dass-it.de/VanHelsing/">
      <xsd:element name="listResources" type="tns:listResourcesType">
      </xsd:element>
      <xsd:element name="listResourcesResponse" type="tns:resourceListType">
      </xsd:element>
      <xsd:element name="listResourceItems" type="tns:listResourcesType"> 
      </xsd:element>
      <xsd:element name="listResourceItemsResponse" type="tns:resourceItemList">
      </xsd:element>
      
      <xsd:complexType name="resourceItemList">
	      <xsd:sequence>
		      <xsd:element name="resourceItemListElement" type="tns:ResourceItem" maxOccurs="unbounded" minOccurs="0"></xsd:element>
	      </xsd:sequence>
      </xsd:complexType>

      <xsd:complexType name="listResourcesType">
      	<xsd:sequence>
      		<xsd:element name="resourceType" type="xsd:string"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="resourceListType">
      	<xsd:sequence>
      		<xsd:element name="resourceList" type="tns:ResourceInfo" maxOccurs="unbounded" minOccurs="0"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="ResourceInfo">
      	<xsd:sequence>
      		<xsd:element name="resId" type="xsd:int"></xsd:element>
      		<xsd:element name="resType" type="xsd:string"></xsd:element>
      		<xsd:element name="resName" type="xsd:string"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ResourceItem">
	      <xsd:sequence>
	      	<xsd:element name="resId" type="xsd:int" />
	      	<xsd:element name="resName" type="xsd:string" />
	      	<xsd:element name="resKey" type="xsd:string"></xsd:element>
	      	<xsd:element name="resValue" type="xsd:string" />
	      	<xsd:element name="director" type="xsd:string" />
	      </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>

  </wsdl:types>
  
  <wsdl:message name="listResourcesRequest">
    <wsdl:part name="resourceType" element="tns:listResources"/>
  </wsdl:message>
  <wsdl:message name="listResourcesResponse">
    <wsdl:part element="tns:listResourcesResponse" name="resultList"/>
  </wsdl:message>
  <wsdl:message name="listResourceItemsRequest">
  	<wsdl:part name="resourceType" element="tns:listResources"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="listResourceItemsResponse">
  	<wsdl:part name="resourceItemList" element="tns:listResourceItemsResponse"></wsdl:part>
  </wsdl:message>
  
  <wsdl:portType name="VanHelsing">
    <wsdl:operation name="listResources">
      <wsdl:input message="tns:listResourcesRequest"/>
      <wsdl:output message="tns:listResourcesResponse"/>
    </wsdl:operation>
    <wsdl:operation name="listResourceItems">
    	<wsdl:input message="tns:listResourceItemsRequest"></wsdl:input>
    	<wsdl:output message="tns:listResourceItemsResponse"></wsdl:output>
    </wsdl:operation>
    
    
  </wsdl:portType>
  <wsdl:binding name="VanHelsingSOAP" type="tns:VanHelsing">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="listResources">
      <soap:operation soapAction="http://www.dass-it.de/VanHelsing/NewOperation"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="listResourceItems">
    	<soap:operation soapAction="http://www.dass-it.de/VanHelsing/ItemListOperation" />
    	<wsdl:input>
    		<soap:body use="literal" />
    	</wsdl:input>
    	<wsdl:output>
    		<soap:body use="literal" />
    	</wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="VanHelsing">
    <wsdl:port binding="tns:VanHelsingSOAP" name="VanHelsingSOAP">
      <soap:address location="http://localhost:8080/"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
